curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/getAttempts \
--header 'Authorization: Bearer <token>'{
"attempts": [
{
"attempt": 123,
"score": 123,
"scoreStatus": "exempt",
"xp": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}Returns a list of all attempts for a student in a lesson
For Assessment Bank lessons, each attempt may represent a different sub test of the bank. Review results with care.
A ‘Lesson’ in this context is a ComponentResource object which has a Resource object associated with it.
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/getAttempts \
--header 'Authorization: Bearer <token>'{
"attempts": [
{
"attempt": 123,
"score": 123,
"scoreStatus": "exempt",
"xp": 123,
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the student
The sourcedId of the lesson (ComponentResource)
Success
Show child attributes